Bug 57975 - bogus aliases
bogus aliases
Status: CLOSED WONTFIX
Product: Red Hat Linux
Classification: Retired
Component: coreutils (Show other bugs)
7.1
All Linux
medium Severity medium
: ---
: ---
Assigned To: Tim Waugh
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-01-03 18:28 EST by Craig Good
Modified: 2007-04-18 12:38 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-08-19 06:34:17 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Craig Good 2002-01-03 18:28:35 EST
Description of Problem:

The aliases set up in /etc/profile.d are all bogus. Aliases should be
used by the user to customize his environment, not forced on us at a
system level. I've been forced to use an ugly hack in my .cshrc to
unalias silly colored ls aliases, etc.

Also, the 'which' alias generated by which-2.csh is broken.


Steps to Reproduce:
1. where echo | head -1
2. which echo
3. Note that they return different answers.

The easiet fix would seem to be to just empty that directory.

Thanks.
Comment 1 Miloslav Trmač 2004-08-18 10:51:55 EDT
which-2.csh is no longer used in FC2.

As for removing the ls aliases currently set up in
/etc/profile.d/colorls.csh,
I doubt that will happen, but maybe the owner of the file in question
thinks otherwise...

Note that you can also use "COLOR none" in /etc/DIR_COLORS
or ~/.dir_colors to disable ls colorization.
Comment 2 Tim Waugh 2004-08-19 06:34:17 EDT
No, many more people use them than don't, and I would spend all day
long closing bug reports and switching between two defaults.  I'm
going to keep it as it is.

Note You need to log in before you can comment on or make changes to this bug.